# Uses of Interface
org.eclipse.mat.query.registry.ArgumentFactory

Packages that use ArgumentFactory
Package
Description
org.eclipse.mat.internal.snapshot
Collects arguments for queries.

## Uses of ArgumentFactory in org.eclipse.mat.internal.snapshot

Classes in org.eclipse.mat.internal.snapshot that implement ArgumentFactory
Modifier and Type
Class
Description
`class`
`HeapObjectArgumentFactory`
`class`
`HeapObjectContextArgument`
`final class`
`HeapObjectParamArgument`
`class`
`SnapshotArgument`
Methods in org.eclipse.mat.internal.snapshot that return ArgumentFactory
Modifier and Type
Method
Description
`static final ArgumentFactory`
HeapObjectArgumentFactory.`build(ISnapshot snapshot, int[] objectIds)`
`static final ArgumentFactory`
HeapObjectArgumentFactory.`build(ISnapshot snapshot, IHeapObjectArgument argument)`